package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsCustomerAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 客户附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-06-21
 */
public interface ILmsCustomerAttachmentService extends IBaseService<LmsCustomerAttachment> {


    Page<LmsCustomerAttachment> page(Page<LmsCustomerAttachment> page, LmsCustomerAttachment lmsCustomerAttachment);


    List<LmsCustomerAttachment> list(LmsCustomerAttachment lmsCustomerAttachment);


    boolean save(Long customerId, MultipartFile file);


    void download(Long id, HttpServletResponse response);


    void downloadFiles(Long[] ids, HttpServletResponse response);
}
